package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.dto.ApplyJoinDto;
import doctor.domain.entity.Banners;
import doctor.domain.entity.DoctorJobTitleEntity;
import doctor.service.BannersService;
import doctor.service.HealthJobTitleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/v1")
public class HealthJobTitleController {
    @Autowired
    private HealthJobTitleService healthJobTitleService;

    @Autowired
    private BannersService bannersService;
    @GetMapping("/bannersShow")
    public HealthR<List<Banners>> bannersShow(){
        List<Banners> banners = bannersService.bannersShow();
        return HealthR.ok(banners);
    }

    @GetMapping("/findJobTitleList")
    public HealthR<List<DoctorJobTitleEntity>> findJobTitleList() {
        List<DoctorJobTitleEntity> doctorJobTitleEntities=healthJobTitleService.findJobTitleList();
        return HealthR.ok(doctorJobTitleEntities);
    }

    @PostMapping("/sendEmailCode")
    public HealthR sendEmailCode(@RequestParam("email") String email) {
        HealthR healthR= healthJobTitleService.sendEmailCode(email);
        return HealthR.ok(healthR);
    }

    @PostMapping("/applyJoin")
    public HealthR applyJoin(@RequestBody ApplyJoinDto applyJoinDto) {
        HealthR healthR= healthJobTitleService.applyJoin(applyJoinDto);
        return HealthR.ok(healthR);
    }
}
